having trouble running mcMMO in my craftbukkit server.. pls help!!

Discussion in 'Spigot Help' started by BJP, May 8, 2015.

  1. BJP

    BJP

    Every time i try and run my server this error comes up..... HOW DO I FIX IT ?
    [18:26:22 INFO]: [mcMMO] Loading mcMMO v1.5.03-SNAPSHOT-b46

    [18:26:22 INFO]: [mcMMO] Enabling mcMMO v1.5.03-SNAPSHOT-b46

    [18:26:23 ERROR]: [mcMMO] There was an error while enabling mcMMO!

    [18:26:23 WARN]: java.lang.UnsupportedClassVersionError: com/gmail/nossr50/metrics/mcstats/Metrics$Plotter : Unsupported major.minor version 51.0

    [18:26:23 WARN]: at java.lang.ClassLoader.defineClass1(Native Method)

    [18:26:23 WARN]: at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)

    [18:26:23 WARN]: at java.lang.ClassLoader.defineClass(ClassLoader.java:621)

    [18:26:23 WARN]: at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)

    [18:26:23 WARN]: at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)

    [18:26:23 WARN]: at java.net.URLClassLoader.access$000(URLClassLoader.java:58)

    [18:26:23 WARN]: at java.net.URLClassLoader$1.run(URLClassLoader.java:197)

    [18:26:23 WARN]: at java.security.AccessController.doPrivileged(Native Method)

    [18:26:23 WARN]: at java.net.URLClassLoader.findClass(URLClassLoader.java:190)

    [18:26:23 WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101)

    [18:26:23 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.getClassByName(JavaPluginLoader.java:193)

    [18:26:23 WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:97)

    [18:26:23 WARN]: at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86)

    [18:26:23 WARN]: at java.lang.ClassLoader.loadClass(ClassLoader.java:306)

    [18:26:23 WARN]: at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

    [18:26:23 WARN]: at com.gmail.nossr50.mcMMo_OnEnable(mcMMO.java:184)

    [18:26:23 WARN]: at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:316)

    [18:26:23 WARN]: at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:332)

    [18:26:23 WARN]: at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:412)

    [18:26:23 WARN]: at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugin(CraftServer.java:476)

    [18:26:23 WARN]: at org.bukkit.craftbukkit.v1_7_R4.CraftServer.enablePlugins(CraftServer.java:394)

    [18:26:23 WARN]: at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:153)

    [18:26:23 WARN]: at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:458)

    [18:26:23 WARN]: at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628)

    [18:26:23 INFO]: [mcMMO] Disabling mcMMO v1.5.03-SNAPSHOT-b46
     
  2. joehot200

    Supporter

    Update to java 7.
     
  3. BJP

    BJP

    i have java 7 update 51.0 and it still doesn't work?
     
  4. joehot200

    Supporter

    51 is referring to java 7.

    Tell your server to use java 7 - Just because you have it doesn't necessarily mean that's what your server will use by default.
     
  5. joehot200

    Supporter

  6. BJP

    BJP

    oh thanks heaps! how do i do that though haha sorry I'm new to this server stuff?
     
  7. BJP

    BJP

    by the way i am on mac not windows
     
  8. joehot200

    Supporter